summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tests/functions.sh9
-rwxr-xr-xtests/ts/cal/color5
-rwxr-xr-xtests/ts/cal/colorw5
-rwxr-xr-xtests/ts/cal/weekarg5
4 files changed, 24 insertions, 0 deletions
diff --git a/tests/functions.sh b/tests/functions.sh
index 19e8a46b8..db5f536c6 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -729,3 +729,12 @@ function ts_has_mtab_support {
fi
}
+function ts_has_ncurses_support {
+ grep -q '#define HAVE_LIBNCURSES' ${top_builddir}/config.h
+ if [ $? == 0 ]; then
+ echo "yes"
+ else
+ echo "no"
+ fi
+}
+
diff --git a/tests/ts/cal/color b/tests/ts/cal/color
index 00e9c188a..8a6dfb69c 100755
--- a/tests/ts/cal/color
+++ b/tests/ts/cal/color
@@ -22,6 +22,11 @@ ts_init "$*"
ts_check_test_command "$TS_CMD_CAL"
+has_ncurses=$( ts_has_ncurses_support )
+if [ "$has_ncurses" != "yes" ]; then
+ ts_skip "without-ncurses"
+fi
+
# --color output depends on terminal type
export TERM=linux
diff --git a/tests/ts/cal/colorw b/tests/ts/cal/colorw
index 8e8ba0139..493dd2c51 100755
--- a/tests/ts/cal/colorw
+++ b/tests/ts/cal/colorw
@@ -22,6 +22,11 @@ ts_init "$*"
ts_check_test_command "$TS_CMD_CAL"
+has_ncurses=$( ts_has_ncurses_support )
+if [ "$has_ncurses" != "yes" ]; then
+ ts_skip "without-ncurses"
+fi
+
# --color output depends on terminal type
export TERM=linux
diff --git a/tests/ts/cal/weekarg b/tests/ts/cal/weekarg
index 19f58c100..236baedd5 100755
--- a/tests/ts/cal/weekarg
+++ b/tests/ts/cal/weekarg
@@ -23,6 +23,11 @@ ts_init "$*"
ts_check_test_command "$TS_CMD_CAL"
+has_ncurses=$( ts_has_ncurses_support )
+if [ "$has_ncurses" != "yes" ]; then
+ ts_skip "without-ncurses"
+fi
+
export TERM=linux
USETERM=$( ts_has_option "useterm" "$*" )